<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 */

/**----------------------------------------------------------------------------
 * File: ado_entidad.php
 * Type: class definition
 * Description: gestiona las entidades con active record
 * ----------------------------------------------------------------------------
 * @author Juanan Ruiz <juanan@juananruiz.com>
 * @copyright Juanan Ruiz <juanan@juananruiz.com>
 * @website http://icasus.forja.rediris.es/
 * @license http://www.opensource.org/licenses/bsd-license.php
 * @package Icasus
 * ----------------------------------------------------------------------------
 */

class ado_entidad extends ADOdb_Active_Record 
{
	var $_table='entidad';
	var $numero_actas;
    var $subentidades;
	
    // Devuelve recursivamente las subentidades de una entidad 
    function Find_subentidades()
    {
        
        if ($this->subentidades = $this->Find("id_padre = $this->id_entidad"))
        {
            foreach ($this->subentidades as $subentidad)
            {
                append($this->subentidades,$subentidad->Find_subentidades());
            }
        }
        else
        {
            return false;
        }
    }

    // $parent is the parent of the children we want to see 
    // $level is increased when we go deeper into the tree, 
    //        used to display a nice indented tree 
    function Find_hijas($id_entidad,$level) 
    { 
       // retrieve all children of $parent 
       $entidades = $this->Find("id_padre = $id_entidad");
       // display each child 
       foreach ($entidades as $entidad) 
       { 
           // indent and display the title of this child
           $n = $level+1;
           echo "<li>" . str_repeat('>>',$n) . utf8_decode($entidad->nombre) . "</li>"; 
           //echo "<h" . $level+2 . ">" . utf8_decode($entidad->nombre) . "</h" . $level+2 . ">"; 
           // call this function again to display this child's children 
           $this->Find_hijas($entidad->id_entidad, $level+1); 
       } 
    } 


	function actas_grupo($id_entidad)
		{
			if ($grupos = $this ->find('id_padre='.$id_entidad))
			{
				foreach ($grupos as $grupo)
				{	
					$acta = new acta();
					$actas = $acta -> find('id_entidad='.$grupo->id_entidad);
        				$grupo->numero_actas = count($actas);
				}
				return $grupos;
			}
			else
			{
				return false;	
			}
		}		
}
?>
