<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: tarea_actualizar.php
// Tipo: controlador
// Desarrolladores: Juanan Ruiz (juanan@us.es), Jesús Martín (jjmc@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Actualiza loas datos de una tarea ya modificada
//---------------------------------------------------------------------------------------------------

require_once('function/sanitize.php');
global $smarty;
global $plantilla;
// Esto es para prevenir que se cargue el script sin pasar por index.php
if (!is_object($smarty))
{
        header('Location:index.php');
}
// Si vienen todos los datos necesarios del formulario grabamos
if (isset($_POST['actualiza']) and $_POST['actualiza'] == 'tarea')
{
	//id de la tarea
	$cierra = sanitize($_POST['cierra'],2);
	$id_tarea = sanitize($_POST['id_tarea'],2);
	$id_acta = sanitize($_POST['id_acta'],2);
	//fecha adjudicacion
        $aday = sanitize($_POST['adjudicacionDay'],2);
        $amonth = sanitize($_POST['adjudicacionMonth'],2); 
        $ayear = sanitize($_POST['adjudicacionYear'],2);
	//fecha estimada
        $eday = sanitize($_POST['estimadaDay'],2);
        $emonth = sanitize($_POST['estimadaMonth'],2);
        $eyear = sanitize($_POST['estimadaYear'],2);
 	//fecha fin
        $fday = sanitize($_POST['finDay'],2);
        $fmonth = sanitize($_POST['finMonth'],2);
        $fyear = sanitize($_POST['finYear'],2);
	//ponemos la hora a 0;
	$hour=0;
	$minutes=0;
	
	$tarea = new tarea();
	$tarea ->load('id_tarea='.$id_tarea);
	$tarea ->numero = sanitize($_POST['number'],2);
        $tarea ->id_usuario = sanitize($_POST['responsable'],2);
        $tarea ->tarea = sanitize($_POST['tarea'],2);
        $tarea ->adjudicacion = mktime($hour, $minutes, 0, $amonth, $aday, $ayear);
        $tarea ->estimada = mktime($hour, $minutes, 0, $emonth, $eday, $eyear);
	if ($cierra == 'si')
	{
        	$tarea ->finalizacion = mktime($hour, $minutes, 0, $fmonth, $fday, $fyear);
	}
	else
	{
        	$tarea ->finalizacion = NULL;
	}
	//echo $cierra;
	$tarea ->save();
	if ($tarea->save())
	{
		header('location:index.php?page=grupo/acta_editar&id_acta='.$id_acta);
	}
	else
	{
		$error = 'No se ha actualizado esta tareaº';
                $smarty -> assign('error',$error);
                $plantilla = 'error.tpl';

	}
}
else
{
	 // Avisamos de error por falta de parametros
        $error = 'Faltan parámetros necesarios para cargar esta página';
        $smarty->assign('error',$error);
        $plantilla = 'error.tpl';

}
?>

